Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 06-06-2020 20:36:36

diago26
Membre
Distrib. : debian 10.4 (x86-64)
Noyau : 4.19.0-9-amd64
(G)UI : cinnamon (3.8.8-1)
Inscription : 19-05-2016

[résolu] installation impossible d'express vpn

salut tout le monde,

Je tente d'installer expressvpn sur mon pc, mais rien n'y fait. Je télécharge le fichier, je clique ensuite sur l'installateur de paquet expressvpn et je fais ensuite un clic sur installer le paquet, et en suite plus rien... je précise que j'utilisais ce vpn sur debian 8 et il fonctionnait très bien; maintenant je suis sur debian 10 buster. mon pc est un packard belle enlg71bm-p096. merci d'avance pour votre aide.

Dernière modification par diago26 (07-06-2020 21:36:01)

Hors ligne

#2 06-06-2020 21:38:27

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian bullseye (testing)
Noyau : Linux 5.6.0-1-amd64
(G)UI : LightDM et Xfce4
Inscription : 29-04-2015

Re : [résolu] installation impossible d'express vpn

As-tu téléchargé la dernière version du paquet debian sur le site de expressvpn ?
La méthode « je clique ensuite sur l'installateur de paquet » me paraît curieuse pour un système debian. Tu devrais plutôt avoir un paquet .deb genre expressvpn.deb qui s’installe avec une commande du type

dpkg -i expressvpn.deb


C’est la méthode indiquée pour ubuntu en tout cas https://www.youtube.com/watch?v=9GqvZdCj8lU


Chaque siècle fera son œuvre, aujourd’hui civique, demain humaine. Aujourd’hui la question du droit, demain la question du salaire. Salaire et droit, au fond c’est le même mot. L’homme ne vit pas pour n’être point payé ; Dieu en donnant la vie contracte une dette ; le droit, c’est le salaire inné ; le salaire, c’est le droit acquis.
             Quatrevingt-treize
             Victor Hugo.

Hors ligne

#3 07-06-2020 09:53:19

diago26
Membre
Distrib. : debian 10.4 (x86-64)
Noyau : 4.19.0-9-amd64
(G)UI : cinnamon (3.8.8-1)
Inscription : 19-05-2016

Re : [résolu] installation impossible d'express vpn

Après avoir rentré la commande

dpkg -i expressvpn.deb

, cela me renvoie:

dpkg: avertissement: « ldconfig » introuvable dans la variable PATH ou non exécutable
dpkg: avertissement: « start-stop-daemon » introuvable dans la variable PATH ou non exécutable
dpkg: erreur: 2 programmes attendus non trouvés dans la variable PATH ou non exécutables
Note : la variable PATH du superutilisateur doit normalement contenir /usr/local/sbin, /usr/sbin et /sbin
 

Hors ligne

#4 07-06-2020 10:10:15

raleur
Membre
Inscription : 03-10-2014

Re : [résolu] installation impossible d'express vpn

Il faut passer root avec "su -" et non "su" sinon l'environnement n'est pas complètement initialisé.

Il vaut mieux montrer que raconter.

Hors ligne

#5 07-06-2020 10:51:45

diago26
Membre
Distrib. : debian 10.4 (x86-64)
Noyau : 4.19.0-9-amd64
(G)UI : cinnamon (3.8.8-1)
Inscription : 19-05-2016

Re : [résolu] installation impossible d'express vpn

j'ai lancé root avec su - (et non pas avec su), j'ai remis la commande dpkg -i expressvpn.deb et cela m'affiche:

dpkg: erreur: cannot access archive 'expressvpn.deb': Aucun fichier ou dossier de ce type

Hors ligne

#6 07-06-2020 11:07:16

raleur
Membre
Inscription : 03-10-2014

Re : [résolu] installation impossible d'express vpn

Le répertoire courant a changé, il faut spécifier le chemin complet du fichier.

Dernière modification par raleur (07-06-2020 11:07:30)


Il vaut mieux montrer que raconter.

Hors ligne

#7 07-06-2020 11:17:47

diago26
Membre
Distrib. : debian 10.4 (x86-64)
Noyau : 4.19.0-9-amd64
(G)UI : cinnamon (3.8.8-1)
Inscription : 19-05-2016

Re : [résolu] installation impossible d'express vpn

ok, et donc concrètement que dois-je faire? je débute en informatique et j'ai peur de faire n'importe quoi:(

Hors ligne

#8 07-06-2020 11:29:39

raleur
Membre
Inscription : 03-10-2014

Re : [résolu] installation impossible d'express vpn

Ah, désolé, je ne suis pas compétent pour aider les débutants.

Il vaut mieux montrer que raconter.

Hors ligne

#9 07-06-2020 11:40:22

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.2
Noyau : Linux 5.3.18
(G)UI : KDE 5.18.5
Inscription : 11-03-2016

Re : [résolu] installation impossible d'express vpn

Tu dois préciser le chemin qui mène au répertoire qui contient ton fichier deb
Par exemple si il est dans Téléchargements de ton home

dpkg -i /home/user/Téléchargements/expressvpn.deb


user est à remplacer par ton identifiant utilisateur.

Hors ligne

#10 07-06-2020 13:12:14

diago26
Membre
Distrib. : debian 10.4 (x86-64)
Noyau : 4.19.0-9-amd64
(G)UI : cinnamon (3.8.8-1)
Inscription : 19-05-2016

Re : [résolu] installation impossible d'express vpn

donc j'ai tapé la commande

dpkg -i /home/user/Téléchargements/expressvpn.deb


en remplacant user par mon nom d'utilisateur, le fichier deb étant bien dans téléchargement. Et cela me renvoie:


dpkg: avertissement: « ldconfig » introuvable dans la variable PATH ou non exécutable
dpkg: avertissement: « start-stop-daemon » introuvable dans la variable PATH ou non exécutable
dpkg: erreur: 2 programmes attendus non trouvés dans la variable PATH ou non exécutables
Note : la variable PATH du superutilisateur doit normalement contenir /usr/local/sbin, /usr/sbin et /sbin

Hors ligne

#11 07-06-2020 14:43:05

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.2
Noyau : Linux 5.3.18
(G)UI : KDE 5.18.5
Inscription : 11-03-2016

Re : [résolu] installation impossible d'express vpn

Il faut passer en root avec su -
avec un espace entre su et le tiret

Hors ligne

#12 07-06-2020 19:31:50

diago26
Membre
Distrib. : debian 10.4 (x86-64)
Noyau : 4.19.0-9-amd64
(G)UI : cinnamon (3.8.8-1)
Inscription : 19-05-2016

Re : [résolu] installation impossible d'express vpn

je suis passé en root avec le tiret comme indiqué, et après avoir rentré de nouveau la commande (et remplacé user par mon nom d'utilisateur)

dpkg -i /home/user/Téléchargements/expressvpn.deb


bloc à supprimer si la commande n’affiche rien

cela me donne:
dpkg: erreur: cannot access archive '/home/user/Téléchargements/expressvpn.deb': Aucun fichier ou dossier de ce type

Hors ligne

#13 07-06-2020 19:47:36

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.2
Noyau : Linux 5.3.18
(G)UI : KDE 5.18.5
Inscription : 11-03-2016

Re : [résolu] installation impossible d'express vpn

Que donne la commande

ls -l /home/user/Téléchargements


en remplaçant user par ton identifiant utilisateur.

Hors ligne

#14 07-06-2020 19:51:07

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian bullseye (testing)
Noyau : Linux 5.6.0-1-amd64
(G)UI : LightDM et Xfce4
Inscription : 29-04-2015

Re : [résolu] installation impossible d'express vpn

Normalement le fichier à une extension en .deb. Si tu as regardé le lien vidéo, tu as dû voir qu’il porte le nom expressvpn suivi du numéro de version, suivi de l’architecture (amd64), suivi de .deb .
Il n’y a aucune chance que le fichier s’intitule expressvpn.deb . C’était juste un exemple.

Tu n’as pas répondu à ma question : As-tu téléchargé la dernière version du paquet debian sur le site de expressvpn ?

Si oui dans quel répertoire l’as tu téléchargé ?

Retourne nous le résultat de la commande :

~/Téléchargements/*.deb


Chaque siècle fera son œuvre, aujourd’hui civique, demain humaine. Aujourd’hui la question du droit, demain la question du salaire. Salaire et droit, au fond c’est le même mot. L’homme ne vit pas pour n’être point payé ; Dieu en donnant la vie contracte une dette ; le droit, c’est le salaire inné ; le salaire, c’est le droit acquis.
             Quatrevingt-treize
             Victor Hugo.

Hors ligne

#15 07-06-2020 20:32:41

diago26
Membre
Distrib. : debian 10.4 (x86-64)
Noyau : 4.19.0-9-amd64
(G)UI : cinnamon (3.8.8-1)
Inscription : 19-05-2016

Re : [résolu] installation impossible d'express vpn

en réponse à chalu,
voici les résultats de la commande

ls -l /home/user/Téléchargements


bloc à supprimer si la commande n’affiche rien


total 20692
-rw-r--r-- 1 biloute26 biloute26 21185054 juin   7 00:05 expressvpn_2.5.0.505-1_amd64.deb


et en réponse à philou92, le résultat de la commande

~/Téléchargements/*.deb

:
bash: /home/biloute26/Téléchargements/expressvpn_2.5.0.505-1_amd64.deb: Permission non accordée

je précise que sur le site d'express vpn, il ya le choix entre 6 téléchargements, suivant l'OS et l'architecture de ce dernier: ubuntu 64-bit, ubuntu 32-bit, fedora 64-bit, fedora 32-bit, arch 64-bit et raspbian 32-bit. j'ai téléchargé la version ubuntu 64-bit (c'est ce que j'avais fait quand j'avais encore debian 8 et l'installation s'était très bien passé).

Hors ligne

#16 07-06-2020 21:11:09

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian bullseye (testing)
Noyau : Linux 5.6.0-1-amd64
(G)UI : LightDM et Xfce4
Inscription : 29-04-2015

Re : [résolu] installation impossible d'express vpn

Ok
Dans ce cas essayes les commandes suivantes :

su -



Puis renseignes ton mot de passe root.

Puis tape la commande :

dpkg -i /home/biloute26/Téléchargements/expressvpn_2.5.0.505-1_amd64.deb



Retournes-nous le résultat de la commande.

PS : /home/biloute26/Téléchargements/expressvpn_2.5.0.505-1_amd64.deb c’est le nom du chemin complet du fichier (référence à la question de raleur).

Dernière modification par Philou92 (07-06-2020 21:13:16)


Chaque siècle fera son œuvre, aujourd’hui civique, demain humaine. Aujourd’hui la question du droit, demain la question du salaire. Salaire et droit, au fond c’est le même mot. L’homme ne vit pas pour n’être point payé ; Dieu en donnant la vie contracte une dette ; le droit, c’est le salaire inné ; le salaire, c’est le droit acquis.
             Quatrevingt-treize
             Victor Hugo.

Hors ligne

#17 07-06-2020 21:35:13

diago26
Membre
Distrib. : debian 10.4 (x86-64)
Noyau : 4.19.0-9-amd64
(G)UI : cinnamon (3.8.8-1)
Inscription : 19-05-2016

Re : [résolu] installation impossible d'express vpn

du coup, j'ai rentré la commande

dpkg -i /home/biloute26/Téléchargements/expressvpn_2.5.0.505-1_amd64.deb


bloc à supprimer si la commande n’affiche rien

, et j'ai pu à partir de là installer express vpn, et après essai, tout fonctionne parfaitement! merci à tous de votre aide

Hors ligne

Pied de page des forums